## ros-bouncy-image-geometry 2.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(image_geometry)

find_package(ament_cmake_ros REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(OpenCV REQUIRED COMPONENTS calib3d core highgui imgproc)
find_package(sensor_msgs REQUIRED)

include_directories(include)

# add a library
add_library(${PROJECT_NAME}
  src/pinhole_camera_model.cpp src/stereo_camera_model.cpp
)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
ament_target_dependencies(${PROJECT_NAME}
  "OpenCV"
  "sensor_msgs"
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "IMAGE_GEOMETRY_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
)

# image_geometry_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(image_geometry_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

# add tests
if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(OpenCV)
ament_export_include_directories(include)
ament_package()

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
# TODO(mikaelarguedas) Reenable this when tests are ported to ROS 2
# find_package(ament_cmake_pytest REQUIRED)

# ament_add_pytest_test(directed.py "directed.py")

ament_add_gtest(${PROJECT_NAME}-utest utest.cpp APPEND_LIBRARY_DIRS "${image_geometry_lib_dir}")
target_link_libraries(${PROJECT_NAME}-utest ${PROJECT_NAME} ${OpenCV_LIBS})

=== debian/changelog ===
ros-bouncy-image-geometry (2.0.5-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Aug 2018 00:00:00 -0000

ros-bouncy-image-geometry (2.0.4-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 14 Aug 2018 00:00:00 -0000

ros-bouncy-image-geometry (2.0.3-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Aug 2018 00:00:00 -0000

ros-bouncy-image-geometry (2.0.2-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 29 Jun 2018 00:00:00 -0000

ros-bouncy-image-geometry (2.0.1-0bionic) bionic; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-bouncy-image-geometry (2.0.0-0bionic) bionic; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)
  * use ament_cmake_pytest instead of ament_cmake_nose (#10)
  * Comment out unported test (#11)
  * reenable ported packages
  * [rebase fixup] remove boost support again
  * Contributors: Chris Lalancette, Mikael Arguedas, Dirk Thomas

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 31 May 2018 00:00:00 -0000

ros-bouncy-image-geometry (1.12.7-0bionic) bionic; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Nov 2017 00:00:00 -0000

ros-bouncy-image-geometry (1.12.6-0bionic) bionic; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 00:00:00 -0000

ros-bouncy-image-geometry (1.12.5-0bionic) bionic; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 00:00:00 -0000

ros-bouncy-image-geometry (1.12.4-0bionic) bionic; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Jan 2017 00:00:00 -0000

ros-bouncy-image-geometry (1.12.3-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.12.2-0bionic) bionic; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 24 Sep 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.12.1-0bionic) bionic; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.12.0-0bionic) bionic; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.11.12-0bionic) bionic; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 Mar 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.11.11-0bionic) bionic; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 31 Jan 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.11.10-0bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 00:00:00 -0000

ros-bouncy-image-geometry (1.11.9-0bionic) bionic; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Nov 2015 00:00:00 -0000

ros-bouncy-image-geometry (1.11.8-0bionic) bionic; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 15 Jul 2015 00:00:00 -0000

ros-bouncy-image-geometry (1.11.7-0bionic) bionic; urgency=high



=== debian/control ===
Source: ros-bouncy-image-geometry
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-bouncy-ament-cmake-gtest, ros-bouncy-ament-cmake-pytest, ros-bouncy-ament-cmake-ros, ros-bouncy-sensor-msgs, ros-bouncy-ros-workspace
Homepage: http://www.ros.org/wiki/image_geometry
Standards-Version: 3.9.2

Package: ros-bouncy-image-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-bouncy-sensor-msgs, ros-bouncy-ros-workspace
Description: `image_geometry` contains C++ and Python libraries for interpreting images geometrically.
 It interfaces the calibration parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with OpenCV data types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-image-geometry//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
